# Uses of Enum Class
com.destroystokyo.paper.event.block.AnvilDamagedEvent.DamageState

Packages that use AnvilDamagedEvent.DamageState
Package
Description
com.destroystokyo.paper.event.block

## Uses of AnvilDamagedEvent.DamageState in com.destroystokyo.paper.event.block

Methods in com.destroystokyo.paper.event.block that return AnvilDamagedEvent.DamageState
Modifier and Type
Method
Description
`@NotNull AnvilDamagedEvent.DamageState`
AnvilDamagedEvent.`getDamageState()`
Gets the new state of damage on the anvil
`static @NotNull AnvilDamagedEvent.DamageState`
AnvilDamagedEvent.DamageState.`getState(@Nullable BlockData blockData)`
Get damaged state by block data
`static @NotNull AnvilDamagedEvent.DamageState`
AnvilDamagedEvent.DamageState.`getState(@Nullable Material material)`
Get damaged state by block material
`static AnvilDamagedEvent.DamageState`
AnvilDamagedEvent.DamageState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AnvilDamagedEvent.DamageState[]`
AnvilDamagedEvent.DamageState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.destroystokyo.paper.event.block with parameters of type AnvilDamagedEvent.DamageState
Modifier and Type
Method
Description
`void`
AnvilDamagedEvent.`setDamageState(@NotNull AnvilDamagedEvent.DamageState damageState)`
Sets the new state of damage on the anvil